> ## Documentation Index
> Fetch the complete documentation index at: https://docs.twine.se/llms.txt
> Use this file to discover all available pages before exploring further.

# Patch Employee

> Partially update an existing employee in the organization. The request body should contain the fields to be updated. Null values will be ignored.
Only supports dated properties model.




## OpenAPI

````yaml https://api.twine.se/spec/openapi.json patch /v1/org/employees/{employee_id}
openapi: 3.0.3
info:
  contact:
    email: help@twine.se
    name: Twine Support
  description: >+
    # Introduction

    Welcome to the Twine Public API reference. This API allows you to read data
    from Twine's system, and to write data back for supported domains. See the
    Pushing data section below for what can be written.


    # Versioning

    The API is versioned. The current version is v1.1, served under the `/v1`
    path. As the API is subject to change, new versions may be released. Always
    refer to the latest documentation to ensure you're using the correct
    version.


    ## Dated model attributes

    In v1.1, every entity field is tracked by change date. This allows you to
    fetch data as it existed at a specific point in time, or retrieve all
    changes from a specific point in time up to the present. You can also supply
    a shape to the API to get data in a format that suits your needs.


    ### Dated values


    In the v1.1 model, all fields are represented by an array of values with an
    optional valid_from timestamp. A null value for valid_from indicates that
    the field value is valid from the beginning of time, meaning it has no
    recorded history in the system. When multiple values exist in the array,
    they are sorted in descending order with the most recent value first. The
    last value may or may not have a null timestamp. An array can never contain
    more than one value with a null timestamp.


    # Authentication

    The Twine public API uses Bearer token authentication. The token should be
    sent in the `Authorization` header with the value `Bearer <token>`.


    ## Provisioning a token

    To provision a token, you must first generate a long-lived refresh token
    using Twine backoffice. This token can then be used to generate short-lived
    access tokens. The refresh token should be kept secret and never shared.

    Follow these steps to obtain an access token:


    1. Invoke `/provisioning/refresh-token/begin` using the JTI you received
    when provisioning the refresh token.

    2. The response will contain a `salt` value

    3. Concatenate the salt with the refresh token, separated by a colon (`:`)

    4. Hash the concatenated string using SHA256, e.g. `sha256
    "<salt>:<refresh_token>"`

    5. The hash should be in lower case

    6. Invoke `/provisioning/refresh-token/refresh` with the JTI (as `jti`) and
    the hash (as `signature`) in the body

    7. The response will contain an access token


    ## Legacy tokens

    Legacy tokens are still supported. These tokens are long-lived and can be
    used to authenticate against the API. However, we recommend using the new
    token provisioning system.


    ## Token expiration

    Provisioned tokens are short-lived. Decode them to find the expiry time.
    Legacy tokens have longer expiry times.


    # Filtering

    Some endpoints allow filtering on certain fields. Not all fields are
    filterable, and filter operations may vary between fields. Refer to specific
    endpoints to discover what is possible. All filters follow the same
    structure:


    ```bash

    GET
    /v1/org/employees?filters[updated_at][value]=2022-01-01T00:00:00Z&filters[updated_at][op]=gt

    ```


    # Ordering

    Some endpoints allow ordering on certain fields. Not all fields are
    orderable. Refer to specific endpoints to discover what is possible. All
    ordering follows the same structure:


    ```bash

    GET /v1/org/employees?order[field]=updated_at&order[direction]=desc

    ```


    # Data reliability

    A given piece of data is a snapshot of the latest data fetched from the
    Vendor. In some cases the data returned by Twine will be out of sync with
    the Vendor.

    This is due to the nature of the integration and the data provided by the
    Vendor. Twine will always strive to provide the most accurate data possible.

    Depending on the Customer, the data may be updated in near real-time, or
    with a longer delay.


    # Permissions

    All API requests are subject to a permissions check. Permissions are
    configured by Twine staff or an approved external admin.


    # Rate limiting

    The API is not currently rate limited. However, you should expect this to
    change in the near future. At that time you will start receiving 429 Too
    Many Requests responses. More information will be provided here when rate
    limiting is implemented.


    ## Fetching single resources

    When requesting single resources with inadequate permissions, you will
    receive a 403 Forbidden in response.


    ## Fetching lists of resources

    When requesting a list of resources, the API will filter out resources you
    do not have access to. This means that the

    response may contain fewer resources than requested. The API will always
    return a 200 OK response, even if the list is empty.


    # Pushing data

    NOTE: The API currently only supports the `employee` domain for writing
    data.


    There are multiple considerations to take into account when writing data to
    the API.


    * In order to write data, the role being used must have the `create` and/or
    `update` permissions for the `employee` domain.

    * As per the RESTful API design specs, the `POST` method is used to create
    new resources, while the `PUT` method is used to update existing resources,
    and the `PATCH` method is used to partially update existing resources.

    * Even though `PATCH` will not touch unspecified dated properties, it will
    still replace all entries of targeted dated properties with the new values
    provided in the request body. This means that if you want to keep existing
    historical values for a given dated property, you must include them in the
    request body. This behaviour can be changed in the future given enough
    demand.

    * If there are incoming domain mappings for the `employee` domain, you
    should avoid updating any properties that are mapped in those integrations.
    Otherwise there will be uncertainty about which integration is responsible
    for the data.

    * If there is a configured `twine` integration with outgoing domain mappings
    for the `employee` domain, a replication job will be created to push the
    changes to the configured integration. If you want to avoid this, create a
    condition in the target integration.


    # Nomenclature


    Throughout the API, we use the following terms:


    | Term        | Description |

    |-------------|-------------|

    | Customer    | The entity on whose behalf Twine processes personnel data |

    | Vendor      | Third party supplier of data with which Twine integrates on
    behalf of Customer |


    # FAQ


    ### Do you have a sandbox environment?

    Yes. Please contact Twine support to get access.


    ### Are there webhooks?

    Not yet, but it is on the roadmap.


    ### How can I keep the response body small?

    Use the `select` parameter to only fetch the fields you need. This will
    reduce the response size and speed up the request. Combine this

    with filtering by `updated_at` to only fetch the data that has changed since
    your last request.

  title: |
    Twine Public API
  version: |
    v1.2
  x-logo:
    altText: Twine Logo
    backgroundColor: '#00000000'
    url: >-
      https://images.squarespace-cdn.com/content/v1/63cec8699b6d396be083ed8b/a2746b2d-2582-49f0-93bb-99a8765c5450/LogoTwineHorizontal.png?format=12w
servers:
  - description: Twine Public Production API
    url: https://api.twine.se
    variables: {}
  - description: Twine Public Staging API
    url: https://api-stage.twine.se
    variables: {}
security:
  - BearerAuth: []
tags:
  - description: >+
      # Fetching

      Employees can be retrieved in paginated lists, or one by one. The employee
      object remains the same in both cases.


      # Data consistency

      Twine allows Customers to map their data to their own wishes. In some
      cases, fields might not contain what you expect.

      Fields like `first_name` and `private_id_number` are more or less
      guaranteed to contain what you expect. However, fields like `phone1`,
      `phone2`

      might mean different things depending on the Customer. Some Customers will
      want to store an employee's private phone number in `phone1`,

      while others will store the work phone number instead. Always refer to the
      Customer's data mapping (upcoming API endpoint) to understand what the
      fields contain.

    name: Employees
  - description: >
      # Fetching

      Organizational units can be retrieved in paginated lists, or one by one.
      The organizational unit object remains the same in both cases.


      # Data consistency

      Twine will attempt to normalize the source system's organizational unit
      tier. If successful, the `tier` field will contain the normalized tier and
      be of type [OrganizationalUnitTier](#model/organizationalunittier)
    name: Organizational Units
  - description: >+
      # Fetching

      Time reports can be retrieved in paginated lists.


      # Time types

      Twine allows Customers to map their time types to their own wishes. In
      some cases, time types might not contain what you expect.

    name: Time Reports
paths:
  /v1/org/employees/{employee_id}:
    patch:
      tags:
        - Employees
      summary: Patch Employee
      description: >
        Partially update an existing employee in the organization. The request
        body should contain the fields to be updated. Null values will be
        ignored.

        Only supports dated properties model.
      operationId: patchEmployee
      parameters:
        - description: Twine specific Employee UUID
          in: path
          name: employee_id
          required: true
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/EmployeeUpsert'
        description: EmployeeUpsertRequest
        required: false
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/EmployeeResponse'
          description: Employee Response
        '400':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/BadRequestError'
          description: Bad request
        '500':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/InternalServerError'
          description: Internal Error Response
      callbacks: {}
components:
  schemas:
    EmployeeUpsert:
      description: >-
        Employee upsert schema. `id` and `org_id` should never be sent and will
        be ignored if included.
      properties:
        properties:
          $ref: '#/components/schemas/TerseEmployeeProperties'
      title: EmployeeUpsert
      type: object
    EmployeeResponse:
      description: An employee
      properties:
        data:
          $ref: '#/components/schemas/Employee'
      title: EmployeeResponse
      type: object
    BadRequestError:
      description: Bad request error
      properties:
        code:
          example: 400
          type: integer
        errors:
          default: []
          items:
            description: Singular error
            properties:
              domain:
                type: string
              message:
                type: string
              reason:
                type: string
            required:
              - domain
              - reason
              - message
            title: InnerError
            type: object
          type: array
        message:
          example: Bad Request
          type: string
      required:
        - code
        - message
        - errors
      title: BadRequestError
      type: object
    InternalServerError:
      description: Internal server error
      properties:
        code:
          example: 500
          type: integer
        errors:
          default: []
          items:
            description: Singular error
            properties:
              domain:
                type: string
              message:
                type: string
              reason:
                type: string
            required:
              - domain
              - reason
              - message
            title: InnerError
            type: object
          type: array
        message:
          example: Internal Server Error
          type: string
      required:
        - code
        - message
        - errors
      title: InternalServerError
      type: object
    TerseEmployeeProperties:
      description: >
        Date-tracked properties for an Employee.


        * Only used for creating/updating

        * Dated property `null` values will be ignored. To reset a dated
        property, send `[]` instead of `null`
      nullable: true
      properties:
        lead_in_unit_id:
          example:
            - valid_from: '2021-06-01'
              value: null
          items:
            $ref: '#/components/schemas/TerseDatedStringPropertyList'
          nullable: true
          type: array
        bank_clearing_nr:
          example:
            - valid_from: '2021-06-01'
              value: null
          items:
            $ref: '#/components/schemas/TerseDatedStringProperty'
          nullable: true
          type: array
        cost_center_2:
          example:
            - valid_from: '2021-06-01'
              value: null
          items:
            $ref: '#/components/schemas/TerseDatedStringProperty'
          nullable: true
          type: array
        address_1_line_1:
          example:
            - valid_from: '2021-06-01'
              value: null
          items:
            $ref: '#/components/schemas/TerseDatedStringProperty'
          nullable: true
          type: array
        org_unit_type:
          example:
            - valid_from: '2021-06-01'
              value: null
          items:
            $ref: '#/components/schemas/TerseDatedStringPropertyList'
          nullable: true
          type: array
        salary_payout_frequency:
          example:
            - valid_from: '2021-06-01'
              value: null
          items:
            $ref: '#/components/schemas/TerseDatedStringProperty'
          nullable: true
          type: array
        bank_bic:
          example:
            - valid_from: '2021-06-01'
              value: null
          items:
            $ref: '#/components/schemas/TerseDatedStringProperty'
          nullable: true
          type: array
        address_2_state:
          example:
            - valid_from: '2021-06-01'
              value: null
          items:
            $ref: '#/components/schemas/TerseDatedStringProperty'
          nullable: true
          type: array
        source_organizational_unit_external_ids:
          example:
            - valid_from: '2021-06-01'
              value: null
          items:
            $ref: '#/components/schemas/TerseDatedStringPropertyList'
          nullable: true
          type: array
        address_2_country_iso:
          example:
            - valid_from: '2021-06-01'
              value: null
          items:
            $ref: '#/components/schemas/TerseDatedStringProperty'
          nullable: true
          type: array
        position_code:
          example:
            - valid_from: '2021-06-01'
              value: null
          items:
            $ref: '#/components/schemas/TerseDatedStringProperty'
          nullable: true
          type: array
        office_name:
          example:
            - valid_from: '2021-06-01'
              value: null
          items:
            $ref: '#/components/schemas/TerseDatedStringPropertyList'
          nullable: true
          type: array
        variable_pay_currency:
          example:
            - valid_from: '2021-06-01'
              value: null
          items:
            $ref: '#/components/schemas/TerseDatedStringProperty'
          nullable: true
          type: array
        org_unit_id:
          example:
            - valid_from: '2021-06-01'
              value: null
          items:
            $ref: '#/components/schemas/TerseDatedStringPropertyList'
          nullable: true
          type: array
        salary_type_name:
          example:
            - valid_from: '2021-06-01'
              value: null
          items:
            $ref: '#/components/schemas/TerseDatedStringProperty'
          nullable: true
          type: array
        manager_id:
          example:
            - valid_from: '2021-06-01'
              value: null
          items:
            $ref: '#/components/schemas/TerseDatedStringProperty'
          nullable: true
          type: array
        employment_category_id:
          example:
            - valid_from: '2021-06-01'
              value: null
          items:
            $ref: '#/components/schemas/TerseDatedStringProperty'
          nullable: true
          type: array
        bank_swift:
          example:
            - valid_from: '2021-06-01'
              value: null
          items:
            $ref: '#/components/schemas/TerseDatedStringProperty'
          nullable: true
          type: array
        address_2_postal_code:
          example:
            - valid_from: '2021-06-01'
              value: null
          items:
            $ref: '#/components/schemas/TerseDatedStringProperty'
          nullable: true
          type: array
        ssn:
          description: Social Security Number
          example:
            - valid_from: '2021-06-01'
              value: null
          items:
            $ref: '#/components/schemas/TerseDatedStringProperty'
          nullable: true
          type: array
        variable_pay_period:
          example:
            - valid_from: '2021-06-01'
              value: null
          items:
            $ref: '#/components/schemas/TerseDatedStringProperty'
          nullable: true
          type: array
        address_2_line_1:
          example:
            - valid_from: '2021-06-01'
              value: null
          items:
            $ref: '#/components/schemas/TerseDatedStringProperty'
          nullable: true
          type: array
        employment_type_id:
          example:
            - valid_from: '2021-06-01'
              value: null
          items:
            $ref: '#/components/schemas/TerseDatedStringProperty'
          nullable: true
          type: array
        employment_termination_date:
          example:
            - valid_from: '2021-06-01'
              value: '2021-06-01T12:00:00Z'
          items:
            $ref: '#/components/schemas/TerseDatedDateProperty'
          nullable: true
          type: array
        company_name:
          example:
            - valid_from: '2021-06-01'
              value: null
          items:
            $ref: '#/components/schemas/TerseDatedStringPropertyList'
          nullable: true
          type: array
        employment_rate:
          description: 0.0 - 1.0
          example:
            - valid_from: '2021-06-01'
              value: null
          items:
            $ref: '#/components/schemas/TerseDatedNumberProperty'
          nullable: true
          type: array
        full_name:
          example:
            - valid_from: '2021-06-01'
              value: null
          items:
            $ref: '#/components/schemas/TerseDatedStringProperty'
          nullable: true
          type: array
        salary_amount:
          example:
            - valid_from: '2021-06-01'
              value: null
          items:
            $ref: '#/components/schemas/TerseDatedNumberProperty'
          nullable: true
          type: array
        manager_email1:
          example:
            - valid_from: '2021-06-01'
              value: null
          items:
            $ref: '#/components/schemas/TerseDatedStringProperty'
          nullable: true
          type: array
        address_2_country:
          example:
            - valid_from: '2021-06-01'
              value: null
          items:
            $ref: '#/components/schemas/TerseDatedStringProperty'
          nullable: true
          type: array
        phone3:
          example:
            - valid_from: '2021-06-01'
              value: null
          items:
            $ref: '#/components/schemas/TerseDatedStringProperty'
          nullable: true
          type: array
        personal_id_number:
          example:
            - valid_from: '2021-06-01'
              value: null
          items:
            $ref: '#/components/schemas/TerseDatedStringProperty'
          nullable: true
          type: array
        address_2_line_3:
          example:
            - valid_from: '2021-06-01'
              value: null
          items:
            $ref: '#/components/schemas/TerseDatedStringProperty'
          nullable: true
          type: array
        employment_leave_date:
          description: Actual leave date. Automatically derived
          example:
            - valid_from: '2021-06-01'
              value: '2021-06-01T12:00:00Z'
          items:
            $ref: '#/components/schemas/TerseDatedDateProperty'
          nullable: true
          type: array
        email3:
          example:
            - valid_from: '2021-06-01'
              value: null
          items:
            $ref: '#/components/schemas/TerseDatedStringProperty'
          nullable: true
          type: array
        next_of_kin_relationship:
          example:
            - valid_from: '2021-06-01'
              value: null
          items:
            $ref: '#/components/schemas/TerseDatedStringProperty'
          nullable: true
          type: array
        address_2_line_2:
          example:
            - valid_from: '2021-06-01'
              value: null
          items:
            $ref: '#/components/schemas/TerseDatedStringProperty'
          nullable: true
          type: array
        address_1_country:
          example:
            - valid_from: '2021-06-01'
              value: null
          items:
            $ref: '#/components/schemas/TerseDatedStringProperty'
          nullable: true
          type: array
        salary_type_id:
          example:
            - valid_from: '2021-06-01'
              value: null
          items:
            $ref: '#/components/schemas/TerseDatedStringProperty'
          nullable: true
          type: array
        office_id:
          example:
            - valid_from: '2021-06-01'
              value: null
          items:
            $ref: '#/components/schemas/TerseDatedStringPropertyList'
          nullable: true
          type: array
        legal_entity_name:
          example:
            - valid_from: '2021-06-01'
              value: null
          items:
            $ref: '#/components/schemas/TerseDatedStringPropertyList'
          nullable: true
          type: array
        employment_hire_date:
          description: Actual hire date. Automatically derived
          example:
            - valid_from: '2021-06-01'
              value: '2021-06-01T12:00:00Z'
          items:
            $ref: '#/components/schemas/TerseDatedDateProperty'
          nullable: true
          type: array
        salary_currency:
          example:
            - valid_from: '2021-06-01'
              value: null
          items:
            $ref: '#/components/schemas/TerseDatedStringProperty'
          nullable: true
          type: array
        employment_tenure_name:
          example:
            - valid_from: '2021-06-01'
              value: null
          items:
            $ref: '#/components/schemas/TerseDatedStringProperty'
          nullable: true
          type: array
        employment_start_date:
          description: >-
            Start date of employment period. Employments may have multiple
            periods
          example:
            - valid_from: '2021-06-01'
              value: '2021-06-01T12:00:00Z'
          items:
            $ref: '#/components/schemas/TerseDatedDateProperty'
          nullable: true
          type: array
        tax_table_nr:
          example:
            - valid_from: '2021-06-01'
              value: null
          items:
            $ref: '#/components/schemas/TerseDatedIntegerProperty'
          nullable: true
          type: array
        bank_iban:
          example:
            - valid_from: '2021-06-01'
              value: null
          items:
            $ref: '#/components/schemas/TerseDatedStringProperty'
          nullable: true
          type: array
        next_of_kin_email:
          example:
            - valid_from: '2021-06-01'
              value: null
          items:
            $ref: '#/components/schemas/TerseDatedStringProperty'
          nullable: true
          type: array
        address_1_city:
          example:
            - valid_from: '2021-06-01'
              value: null
          items:
            $ref: '#/components/schemas/TerseDatedStringProperty'
          nullable: true
          type: array
        subordinate_id:
          example:
            - valid_from: '2021-06-01'
              value: null
          items:
            $ref: '#/components/schemas/TerseDatedStringPropertyList'
          nullable: true
          type: array
        address_2_city:
          example:
            - valid_from: '2021-06-01'
              value: null
          items:
            $ref: '#/components/schemas/TerseDatedStringProperty'
          nullable: true
          type: array
        department_name:
          example:
            - valid_from: '2021-06-01'
              value: null
          items:
            $ref: '#/components/schemas/TerseDatedStringPropertyList'
          nullable: true
          type: array
        employment_termination_reason:
          example:
            - valid_from: '2021-06-01'
              value: null
          items:
            $ref: '#/components/schemas/TerseDatedStringProperty'
          nullable: true
          type: array
        next_of_kin_last_name:
          example:
            - valid_from: '2021-06-01'
              value: null
          items:
            $ref: '#/components/schemas/TerseDatedStringProperty'
          nullable: true
          type: array
        birthdate:
          example:
            - valid_from: '2021-06-01'
              value: '2021-06-01T12:00:00Z'
          items:
            $ref: '#/components/schemas/TerseDatedDateProperty'
          nullable: true
          type: array
        company_id:
          example:
            - valid_from: '2021-06-01'
              value: null
          items:
            $ref: '#/components/schemas/TerseDatedStringPropertyList'
          nullable: true
          type: array
        custom_properties:
          additionalProperties:
            $ref: '#/components/schemas/DatedCustomProperties'
          nullable: true
          type: object
        gender:
          example:
            - valid_from: '2021-06-01'
              value: null
          items:
            $ref: '#/components/schemas/TerseDatedStringProperty'
          nullable: true
          type: array
        variable_pay_amount:
          example:
            - valid_from: '2021-06-01'
              value: null
          items:
            $ref: '#/components/schemas/TerseDatedNumberProperty'
          nullable: true
          type: array
        next_of_kin_phone:
          example:
            - valid_from: '2021-06-01'
              value: null
          items:
            $ref: '#/components/schemas/TerseDatedStringProperty'
          nullable: true
          type: array
        nationality:
          example:
            - valid_from: '2021-06-01'
              value: null
          items:
            $ref: '#/components/schemas/TerseDatedStringProperty'
          nullable: true
          type: array
        cost_center_1:
          example:
            - valid_from: '2021-06-01'
              value: null
          items:
            $ref: '#/components/schemas/TerseDatedStringProperty'
          nullable: true
          type: array
        location_name:
          example:
            - valid_from: '2021-06-01'
              value: null
          items:
            $ref: '#/components/schemas/TerseDatedStringPropertyList'
          nullable: true
          type: array
        employment_probation_end_date:
          example:
            - valid_from: '2021-06-01'
              value: '2021-06-01T12:00:00Z'
          items:
            $ref: '#/components/schemas/TerseDatedDateProperty'
          nullable: true
          type: array
        bank_country_iso:
          example:
            - valid_from: '2021-06-01'
              value: null
          items:
            $ref: '#/components/schemas/TerseDatedStringProperty'
          nullable: true
          type: array
        bank_name:
          example:
            - valid_from: '2021-06-01'
              value: null
          items:
            $ref: '#/components/schemas/TerseDatedStringProperty'
          nullable: true
          type: array
        manager_full_name:
          example:
            - valid_from: '2021-06-01'
              value: null
          items:
            $ref: '#/components/schemas/TerseDatedStringProperty'
          nullable: true
          type: array
        honorific_prefix:
          example:
            - valid_from: '2021-06-01'
              value: null
          items:
            $ref: '#/components/schemas/TerseDatedStringProperty'
          nullable: true
          type: array
        manager_email2:
          example:
            - valid_from: '2021-06-01'
              value: null
          items:
            $ref: '#/components/schemas/TerseDatedStringProperty'
          nullable: true
          type: array
        salary_payout_day:
          description: Day of month
          example:
            - valid_from: '2021-06-01'
              value: null
          items:
            $ref: '#/components/schemas/TerseDatedIntegerProperty'
          nullable: true
          type: array
        salary_payout_schedule:
          description: Arrears or current
          example:
            - valid_from: '2021-06-01'
              value: null
          items:
            $ref: '#/components/schemas/TerseDatedStringProperty'
          nullable: true
          type: array
        department_id:
          example:
            - valid_from: '2021-06-01'
              value: null
          items:
            $ref: '#/components/schemas/TerseDatedStringPropertyList'
          nullable: true
          type: array
        phone4:
          example:
            - valid_from: '2021-06-01'
              value: null
          items:
            $ref: '#/components/schemas/TerseDatedStringProperty'
          nullable: true
          type: array
        source_external_id:
          example:
            - valid_from: '2021-06-01'
              value: null
          items:
            $ref: '#/components/schemas/TerseDatedStringProperty'
          nullable: true
          type: array
        position_id:
          example:
            - valid_from: '2021-06-01'
              value: null
          items:
            $ref: '#/components/schemas/TerseDatedStringProperty'
          nullable: true
          type: array
        child_first_name:
          example:
            - valid_from: '2021-06-01'
              value: null
          items:
            $ref: '#/components/schemas/TerseDatedStringProperty'
          nullable: true
          type: array
        employment_weekly_hours:
          example:
            - valid_from: '2021-06-01'
              value: null
          items:
            $ref: '#/components/schemas/TerseDatedNumberProperty'
          nullable: true
          type: array
        legal_entity_id:
          example:
            - valid_from: '2021-06-01'
              value: null
          items:
            $ref: '#/components/schemas/TerseDatedStringPropertyList'
          nullable: true
          type: array
        address_1_line_2:
          example:
            - valid_from: '2021-06-01'
              value: null
          items:
            $ref: '#/components/schemas/TerseDatedStringProperty'
          nullable: true
          type: array
        phone1:
          example:
            - valid_from: '2021-06-01'
              value: null
          items:
            $ref: '#/components/schemas/TerseDatedStringProperty'
          nullable: true
          type: array
        manager_first_name:
          example:
            - valid_from: '2021-06-01'
              value: null
          items:
            $ref: '#/components/schemas/TerseDatedStringProperty'
          nullable: true
          type: array
        child_birthdate:
          example:
            - valid_from: '2021-06-01'
              value: '2021-06-01T12:00:00Z'
          items:
            $ref: '#/components/schemas/TerseDatedDateProperty'
          nullable: true
          type: array
        employee_no:
          example:
            - valid_from: '2021-06-01'
              value: null
          items:
            $ref: '#/components/schemas/TerseDatedStringProperty'
          nullable: true
          type: array
        next_of_kin_first_name:
          example:
            - valid_from: '2021-06-01'
              value: null
          items:
            $ref: '#/components/schemas/TerseDatedStringProperty'
          nullable: true
          type: array
        tax_table_column:
          example:
            - valid_from: '2021-06-01'
              value: null
          items:
            $ref: '#/components/schemas/TerseDatedIntegerProperty'
          nullable: true
          type: array
        salary_period:
          example:
            - valid_from: '2021-06-01'
              value: null
          items:
            $ref: '#/components/schemas/TerseDatedStringProperty'
          nullable: true
          type: array
        team_name:
          example:
            - valid_from: '2021-06-01'
              value: null
          items:
            $ref: '#/components/schemas/TerseDatedStringPropertyList'
          nullable: true
          type: array
        phone2:
          example:
            - valid_from: '2021-06-01'
              value: null
          items:
            $ref: '#/components/schemas/TerseDatedStringProperty'
          nullable: true
          type: array
        is_manager:
          example:
            - valid_from: '2021-06-01'
              value: null
          items:
            $ref: '#/components/schemas/TerseDatedBooleanProperty'
          nullable: true
          type: array
        cost_center_1_weight:
          example:
            - valid_from: '2021-06-01'
              value: null
          items:
            $ref: '#/components/schemas/TerseDatedNumberProperty'
          nullable: true
          type: array
        email1:
          example:
            - valid_from: '2021-06-01'
              value: null
          items:
            $ref: '#/components/schemas/TerseDatedStringProperty'
          nullable: true
          type: array
        manager_last_name:
          example:
            - valid_from: '2021-06-01'
              value: null
          items:
            $ref: '#/components/schemas/TerseDatedStringProperty'
          nullable: true
          type: array
        source_external_manager_id:
          example:
            - valid_from: '2021-06-01'
              value: null
          items:
            $ref: '#/components/schemas/TerseDatedStringProperty'
          nullable: true
          type: array
        address_1_postal_code:
          example:
            - valid_from: '2021-06-01'
              value: null
          items:
            $ref: '#/components/schemas/TerseDatedStringProperty'
          nullable: true
          type: array
        email2:
          example:
            - valid_from: '2021-06-01'
              value: null
          items:
            $ref: '#/components/schemas/TerseDatedStringProperty'
          nullable: true
          type: array
        middle_name:
          example:
            - valid_from: '2021-06-01'
              value: null
          items:
            $ref: '#/components/schemas/TerseDatedStringProperty'
          nullable: true
          type: array
        last_name:
          example:
            - valid_from: '2021-06-01'
              value: null
          items:
            $ref: '#/components/schemas/TerseDatedStringProperty'
          nullable: true
          type: array
        employment_type_name:
          example:
            - valid_from: '2021-06-01'
              value: null
          items:
            $ref: '#/components/schemas/TerseDatedStringProperty'
          nullable: true
          type: array
        child_last_name:
          example:
            - valid_from: '2021-06-01'
              value: null
          items:
            $ref: '#/components/schemas/TerseDatedStringProperty'
          nullable: true
          type: array
        location_id:
          example:
            - valid_from: '2021-06-01'
              value: null
          items:
            $ref: '#/components/schemas/TerseDatedStringPropertyList'
          nullable: true
          type: array
        cost_center_2_weight:
          example:
            - valid_from: '2021-06-01'
              value: null
          items:
            $ref: '#/components/schemas/TerseDatedNumberProperty'
          nullable: true
          type: array
        variable_pay_type_name:
          description: Freeform name
          example:
            - valid_from: '2021-06-01'
              value: null
          items:
            $ref: '#/components/schemas/TerseDatedStringProperty'
          nullable: true
          type: array
        honorific_suffix:
          example:
            - valid_from: '2021-06-01'
              value: null
          items:
            $ref: '#/components/schemas/TerseDatedStringProperty'
          nullable: true
          type: array
        address_1_country_iso:
          example:
            - valid_from: '2021-06-01'
              value: null
          items:
            $ref: '#/components/schemas/TerseDatedStringProperty'
          nullable: true
          type: array
        variable_pay_type:
          example:
            - valid_from: '2021-06-01'
              value: null
          items:
            $ref: '#/components/schemas/TerseDatedStringProperty'
          nullable: true
          type: array
        position_name:
          example:
            - valid_from: '2021-06-01'
              value: null
          items:
            $ref: '#/components/schemas/TerseDatedStringProperty'
          nullable: true
          type: array
        bank_account_nr:
          example:
            - valid_from: '2021-06-01'
              value: null
          items:
            $ref: '#/components/schemas/TerseDatedStringProperty'
          nullable: true
          type: array
        team_id:
          example:
            - valid_from: '2021-06-01'
              value: null
          items:
            $ref: '#/components/schemas/TerseDatedStringPropertyList'
          nullable: true
          type: array
        address_1_state:
          example:
            - valid_from: '2021-06-01'
              value: null
          items:
            $ref: '#/components/schemas/TerseDatedStringProperty'
          nullable: true
          type: array
        org_unit_name:
          example:
            - valid_from: '2021-06-01'
              value: null
          items:
            $ref: '#/components/schemas/TerseDatedStringPropertyList'
          nullable: true
          type: array
        division_id:
          example:
            - valid_from: '2021-06-01'
              value: null
          items:
            $ref: '#/components/schemas/TerseDatedStringPropertyList'
          nullable: true
          type: array
        employment_terminated:
          example:
            - valid_from: '2021-06-01'
              value: null
          items:
            $ref: '#/components/schemas/TerseDatedBooleanProperty'
          nullable: true
          type: array
        username:
          example:
            - valid_from: '2021-06-01'
              value: null
          items:
            $ref: '#/components/schemas/TerseDatedStringProperty'
          nullable: true
          type: array
        employment_category_name:
          example:
            - valid_from: '2021-06-01'
              value: null
          items:
            $ref: '#/components/schemas/TerseDatedStringProperty'
          nullable: true
          type: array
        next_of_kin_full_name:
          example:
            - valid_from: '2021-06-01'
              value: null
          items:
            $ref: '#/components/schemas/TerseDatedStringProperty'
          nullable: true
          type: array
        variable_pay_payout_frequency:
          example:
            - valid_from: '2021-06-01'
              value: null
          items:
            $ref: '#/components/schemas/TerseDatedStringProperty'
          nullable: true
          type: array
        display_name:
          example:
            - valid_from: '2021-06-01'
              value: null
          items:
            $ref: '#/components/schemas/TerseDatedStringProperty'
          nullable: true
          type: array
        first_name:
          example:
            - valid_from: '2021-06-01'
              value: null
          items:
            $ref: '#/components/schemas/TerseDatedStringProperty'
          nullable: true
          type: array
        active_status:
          description: Active status of the employee
          example:
            - valid_from: '2021-06-01'
              value: active
          items:
            $ref: '#/components/schemas/TerseDatedStringProperty'
          nullable: true
          type: array
        division_name:
          example:
            - valid_from: '2021-06-01'
              value: null
          items:
            $ref: '#/components/schemas/TerseDatedStringPropertyList'
          nullable: true
          type: array
        address_1_line_3:
          example:
            - valid_from: '2021-06-01'
              value: null
          items:
            $ref: '#/components/schemas/TerseDatedStringProperty'
          nullable: true
          type: array
        employment_fte_weekly_hours:
          example:
            - valid_from: '2021-06-01'
              value: null
          items:
            $ref: '#/components/schemas/TerseDatedNumberProperty'
          nullable: true
          type: array
      title: TerseEmployeeProperties
      type: object
    Employee:
      description: An employee object
      properties:
        employee_mappings:
          items:
            $ref: '#/components/schemas/EmployeeMapping'
          nullable: true
          type: array
        id:
          description: The employee's UUID. Specific for Twine
          example: 018eae56-8f9d-7ca0-bea3-17f3db6cf75b
          nullable: true
          type: string
        inserted_at:
          description: Inserted timestamp
          example: '2021-06-01T12:00:00Z'
          format: date-time
          nullable: true
          type: string
        org_id:
          description: The employee's organization UUID. Specific for Twine
          example: 018eae56-8f9d-7ca0-bea3-17f3db6cf75b
          nullable: true
          type: string
        organizational_unit_mappings:
          items:
            $ref: '#/components/schemas/EmployeeOrganizationalUnitRelation'
          nullable: true
          type: array
        properties:
          $ref: '#/components/schemas/EmployeeProperties'
        source_system:
          description: The Vendor system the employee data originates from
          example: personio
          nullable: true
          type: string
        updated_at:
          description: Last updated timestamp
          example: '2021-06-01T12:00:00Z'
          format: date-time
          nullable: true
          type: string
      required:
        - id
        - org_id
      title: Employee
      type: object
    TerseDatedStringPropertyList:
      description: >-
        A date-tracked property with a string type which can also potentially be
        an array type.
      properties:
        id:
          description: >-
            Discriminator for identifiable values. Usually the ID from the
            source system
          nullable: true
          type: string
        valid_from:
          format: date
          nullable: true
          type: string
        value:
          anyOf:
            - nullable: true
              type: string
            - items:
                type: string
              nullable: true
              type: array
      required:
        - value
      title: TerseDatedStringPropertyList
      type: object
    TerseDatedStringProperty:
      description: A date-tracked property with a string type
      properties:
        id:
          description: >-
            Discriminator for identifiable values. Usually the ID from the
            source system
          nullable: true
          type: string
        valid_from:
          format: date
          nullable: true
          type: string
        value:
          nullable: true
          type: string
      required:
        - value
      title: TerseDatedStringProperty
      type: object
    TerseDatedDateProperty:
      description: A date-tracked property with a date type
      properties:
        id:
          description: >-
            Discriminator for identifiable values. Usually the ID from the
            source system
          nullable: true
          type: string
        valid_from:
          format: date
          nullable: true
          type: string
        value:
          format: date
          nullable: true
          type: string
      required:
        - value
      title: TerseDatedDateProperty
      type: object
    TerseDatedNumberProperty:
      description: A date-tracked property with a number type
      properties:
        id:
          description: >-
            Discriminator for identifiable values. Usually the ID from the
            source system
          nullable: true
          type: string
        valid_from:
          format: date
          nullable: true
          type: string
        value:
          nullable: true
          type: number
      required:
        - value
      title: TerseDatedNumberProperty
      type: object
    TerseDatedIntegerProperty:
      description: A date-tracked property with a integer type
      properties:
        id:
          description: >-
            Discriminator for identifiable values. Usually the ID from the
            source system
          nullable: true
          type: string
        valid_from:
          format: date
          nullable: true
          type: string
        value:
          nullable: true
          type: integer
      required:
        - value
      title: TerseDatedIntegerProperty
      type: object
    DatedCustomProperties:
      items:
        $ref: '#/components/schemas/DatedProperty'
      title: DatedCustomProperties
      type: array
    TerseDatedBooleanProperty:
      description: A date-tracked property with a boolean type
      properties:
        id:
          description: >-
            Discriminator for identifiable values. Usually the ID from the
            source system
          nullable: true
          type: string
        valid_from:
          format: date
          nullable: true
          type: string
        value:
          nullable: true
          type: boolean
      required:
        - value
      title: TerseDatedBooleanProperty
      type: object
    EmployeeMapping:
      description: >-
        Describes the relationship between an employee and a system to which the
        employee belongs. Only included if requested by submitting
        `relations=employee_mappings`.
      properties:
        employee_id:
          description: The UUID of the employee. Specific for Twine
          type: string
        external_id:
          description: >-
            The ID of the employee in the remote system. Will always be a string
            even if the remote system uses numeric IDs
          type: string
        id:
          description: The UUID of the employee mapping in Twine
          type: string
        inserted_at:
          description: The timestamp when the mapping was created
          format: date-time
          type: string
        status:
          description: >-
            The status of the employee mapping. `inactive` indicates that the
            employee has been removed from the remote system, or has filtered
            out by local conditions
          enum:
            - active
            - inactive
          type: string
        status_updated_at:
          description: The timestamp when the status was last updated
          format: date-time
          nullable: true
          type: string
        system_integration_id:
          description: The ID of the system integration in Twine that owns this mapping
          type: string
        updated_at:
          description: The timestamp when the mapping was last updated
          format: date-time
          type: string
      required:
        - id
        - external_id
        - employee_id
        - system_integration_id
        - status
        - status_updated_at
        - inserted_at
        - updated_at
      title: EmployeeMapping
      type: object
    EmployeeOrganizationalUnitRelation:
      description: >-
        Describes the relationship between an employee and an organizational
        unit. Only included if requested by submitting
        `relations=organizational_unit_mappings`.
      properties:
        employee_id:
          description: The UUID of the employee. Specific for Twine
          type: string
        external_employee_id:
          description: >-
            The ID of the external/remote employee. Specific for the external
            system
          type: string
        external_organizational_unit_id:
          description: >-
            The ID of the external/remote organizational unit. Specific for the
            external system
          type: string
        id:
          description: The UUID of the employee organizational unit relation
          type: string
        organizational_unit_id:
          description: The UUID of the organizational unit. Specific for Twine
          type: string
      title: EmployeeOrganizationalUnitRelation
      type: object
    EmployeeProperties:
      description: Date-tracked properties for an Employee
      nullable: true
      properties:
        lead_in_unit_id:
          example:
            - valid_from: '2021-06-01'
              value: null
          items:
            $ref: '#/components/schemas/DatedProperty'
          nullable: true
          type: array
        bank_clearing_nr:
          example:
            - valid_from: '2021-06-01'
              value: null
          items:
            $ref: '#/components/schemas/DatedProperty'
          nullable: true
          type: array
        cost_center_2:
          example:
            - valid_from: '2021-06-01'
              value: null
          items:
            $ref: '#/components/schemas/DatedProperty'
          nullable: true
          type: array
        address_1_line_1:
          example:
            - valid_from: '2021-06-01'
              value: null
          items:
            $ref: '#/components/schemas/DatedProperty'
          nullable: true
          type: array
        org_unit_type:
          example:
            - valid_from: '2021-06-01'
              value: null
          items:
            $ref: '#/components/schemas/DatedProperty'
          nullable: true
          type: array
        salary_payout_frequency:
          example:
            - valid_from: '2021-06-01'
              value: null
          items:
            $ref: '#/components/schemas/DatedProperty'
          nullable: true
          type: array
        bank_bic:
          example:
            - valid_from: '2021-06-01'
              value: null
          items:
            $ref: '#/components/schemas/DatedProperty'
          nullable: true
          type: array
        address_2_state:
          example:
            - valid_from: '2021-06-01'
              value: null
          items:
            $ref: '#/components/schemas/DatedProperty'
          nullable: true
          type: array
        source_organizational_unit_external_ids:
          example:
            - valid_from: '2021-06-01'
              value: null
          items:
            $ref: '#/components/schemas/DatedProperty'
          nullable: true
          type: array
        address_2_country_iso:
          example:
            - valid_from: '2021-06-01'
              value: null
          items:
            $ref: '#/components/schemas/DatedProperty'
          nullable: true
          type: array
        position_code:
          example:
            - valid_from: '2021-06-01'
              value: null
          items:
            $ref: '#/components/schemas/DatedProperty'
          nullable: true
          type: array
        office_name:
          example:
            - valid_from: '2021-06-01'
              value: null
          items:
            $ref: '#/components/schemas/DatedProperty'
          nullable: true
          type: array
        variable_pay_currency:
          example:
            - valid_from: '2021-06-01'
              value: null
          items:
            $ref: '#/components/schemas/DatedProperty'
          nullable: true
          type: array
        org_unit_id:
          example:
            - valid_from: '2021-06-01'
              value: null
          items:
            $ref: '#/components/schemas/DatedProperty'
          nullable: true
          type: array
        salary_type_name:
          example:
            - valid_from: '2021-06-01'
              value: null
          items:
            $ref: '#/components/schemas/DatedProperty'
          nullable: true
          type: array
        manager_id:
          example:
            - valid_from: '2021-06-01'
              value: null
          items:
            $ref: '#/components/schemas/DatedProperty'
          nullable: true
          type: array
        employment_category_id:
          example:
            - valid_from: '2021-06-01'
              value: null
          items:
            $ref: '#/components/schemas/DatedProperty'
          nullable: true
          type: array
        bank_swift:
          example:
            - valid_from: '2021-06-01'
              value: null
          items:
            $ref: '#/components/schemas/DatedProperty'
          nullable: true
          type: array
        address_2_postal_code:
          example:
            - valid_from: '2021-06-01'
              value: null
          items:
            $ref: '#/components/schemas/DatedProperty'
          nullable: true
          type: array
        ssn:
          description: Social Security Number
          example:
            - valid_from: '2021-06-01'
              value: null
          items:
            $ref: '#/components/schemas/DatedProperty'
          nullable: true
          type: array
        variable_pay_period:
          example:
            - valid_from: '2021-06-01'
              value: null
          items:
            $ref: '#/components/schemas/DatedProperty'
          nullable: true
          type: array
        address_2_line_1:
          example:
            - valid_from: '2021-06-01'
              value: null
          items:
            $ref: '#/components/schemas/DatedProperty'
          nullable: true
          type: array
        employment_type_id:
          example:
            - valid_from: '2021-06-01'
              value: null
          items:
            $ref: '#/components/schemas/DatedProperty'
          nullable: true
          type: array
        employment_termination_date:
          example:
            - valid_from: '2021-06-01'
              value: '2021-06-01T12:00:00Z'
          items:
            $ref: '#/components/schemas/DatedProperty'
          nullable: true
          type: array
        company_name:
          example:
            - valid_from: '2021-06-01'
              value: null
          items:
            $ref: '#/components/schemas/DatedProperty'
          nullable: true
          type: array
        employment_rate:
          description: 0.0 - 1.0
          example:
            - valid_from: '2021-06-01'
              value: null
          items:
            $ref: '#/components/schemas/DatedProperty'
          nullable: true
          type: array
        full_name:
          example:
            - valid_from: '2021-06-01'
              value: null
          items:
            $ref: '#/components/schemas/DatedProperty'
          nullable: true
          type: array
        salary_amount:
          example:
            - valid_from: '2021-06-01'
              value: null
          items:
            $ref: '#/components/schemas/DatedProperty'
          nullable: true
          type: array
        manager_email1:
          example:
            - valid_from: '2021-06-01'
              value: null
          items:
            $ref: '#/components/schemas/DatedProperty'
          nullable: true
          type: array
        address_2_country:
          example:
            - valid_from: '2021-06-01'
              value: null
          items:
            $ref: '#/components/schemas/DatedProperty'
          nullable: true
          type: array
        phone3:
          example:
            - valid_from: '2021-06-01'
              value: null
          items:
            $ref: '#/components/schemas/DatedProperty'
          nullable: true
          type: array
        personal_id_number:
          example:
            - valid_from: '2021-06-01'
              value: null
          items:
            $ref: '#/components/schemas/DatedProperty'
          nullable: true
          type: array
        address_2_line_3:
          example:
            - valid_from: '2021-06-01'
              value: null
          items:
            $ref: '#/components/schemas/DatedProperty'
          nullable: true
          type: array
        employment_leave_date:
          description: Actual leave date. Automatically derived
          example:
            - valid_from: '2021-06-01'
              value: '2021-06-01T12:00:00Z'
          items:
            $ref: '#/components/schemas/DatedProperty'
          nullable: true
          type: array
        email3:
          example:
            - valid_from: '2021-06-01'
              value: null
          items:
            $ref: '#/components/schemas/DatedProperty'
          nullable: true
          type: array
        next_of_kin_relationship:
          example:
            - valid_from: '2021-06-01'
              value: null
          items:
            $ref: '#/components/schemas/DatedProperty'
          nullable: true
          type: array
        address_2_line_2:
          example:
            - valid_from: '2021-06-01'
              value: null
          items:
            $ref: '#/components/schemas/DatedProperty'
          nullable: true
          type: array
        address_1_country:
          example:
            - valid_from: '2021-06-01'
              value: null
          items:
            $ref: '#/components/schemas/DatedProperty'
          nullable: true
          type: array
        salary_type_id:
          example:
            - valid_from: '2021-06-01'
              value: null
          items:
            $ref: '#/components/schemas/DatedProperty'
          nullable: true
          type: array
        office_id:
          example:
            - valid_from: '2021-06-01'
              value: null
          items:
            $ref: '#/components/schemas/DatedProperty'
          nullable: true
          type: array
        legal_entity_name:
          example:
            - valid_from: '2021-06-01'
              value: null
          items:
            $ref: '#/components/schemas/DatedProperty'
          nullable: true
          type: array
        employment_hire_date:
          description: Actual hire date. Automatically derived
          example:
            - valid_from: '2021-06-01'
              value: '2021-06-01T12:00:00Z'
          items:
            $ref: '#/components/schemas/DatedProperty'
          nullable: true
          type: array
        salary_currency:
          example:
            - valid_from: '2021-06-01'
              value: null
          items:
            $ref: '#/components/schemas/DatedProperty'
          nullable: true
          type: array
        employment_tenure_name:
          example:
            - valid_from: '2021-06-01'
              value: null
          items:
            $ref: '#/components/schemas/DatedProperty'
          nullable: true
          type: array
        employment_start_date:
          description: >-
            Start date of employment period. Employments may have multiple
            periods
          example:
            - valid_from: '2021-06-01'
              value: '2021-06-01T12:00:00Z'
          items:
            $ref: '#/components/schemas/DatedProperty'
          nullable: true
          type: array
        tax_table_nr:
          example:
            - valid_from: '2021-06-01'
              value: null
          items:
            $ref: '#/components/schemas/DatedProperty'
          nullable: true
          type: array
        bank_iban:
          example:
            - valid_from: '2021-06-01'
              value: null
          items:
            $ref: '#/components/schemas/DatedProperty'
          nullable: true
          type: array
        next_of_kin_email:
          example:
            - valid_from: '2021-06-01'
              value: null
          items:
            $ref: '#/components/schemas/DatedProperty'
          nullable: true
          type: array
        address_1_city:
          example:
            - valid_from: '2021-06-01'
              value: null
          items:
            $ref: '#/components/schemas/DatedProperty'
          nullable: true
          type: array
        subordinate_id:
          example:
            - valid_from: '2021-06-01'
              value: null
          items:
            $ref: '#/components/schemas/DatedProperty'
          nullable: true
          type: array
        address_2_city:
          example:
            - valid_from: '2021-06-01'
              value: null
          items:
            $ref: '#/components/schemas/DatedProperty'
          nullable: true
          type: array
        department_name:
          example:
            - valid_from: '2021-06-01'
              value: null
          items:
            $ref: '#/components/schemas/DatedProperty'
          nullable: true
          type: array
        employment_termination_reason:
          example:
            - valid_from: '2021-06-01'
              value: null
          items:
            $ref: '#/components/schemas/DatedProperty'
          nullable: true
          type: array
        next_of_kin_last_name:
          example:
            - valid_from: '2021-06-01'
              value: null
          items:
            $ref: '#/components/schemas/DatedProperty'
          nullable: true
          type: array
        birthdate:
          example:
            - valid_from: '2021-06-01'
              value: '2021-06-01T12:00:00Z'
          items:
            $ref: '#/components/schemas/DatedProperty'
          nullable: true
          type: array
        company_id:
          example:
            - valid_from: '2021-06-01'
              value: null
          items:
            $ref: '#/components/schemas/DatedProperty'
          nullable: true
          type: array
        custom_properties:
          additionalProperties:
            $ref: '#/components/schemas/DatedCustomProperties'
          nullable: true
          type: object
        gender:
          example:
            - valid_from: '2021-06-01'
              value: null
          items:
            $ref: '#/components/schemas/DatedProperty'
          nullable: true
          type: array
        variable_pay_amount:
          example:
            - valid_from: '2021-06-01'
              value: null
          items:
            $ref: '#/components/schemas/DatedProperty'
          nullable: true
          type: array
        next_of_kin_phone:
          example:
            - valid_from: '2021-06-01'
              value: null
          items:
            $ref: '#/components/schemas/DatedProperty'
          nullable: true
          type: array
        nationality:
          example:
            - valid_from: '2021-06-01'
              value: null
          items:
            $ref: '#/components/schemas/DatedProperty'
          nullable: true
          type: array
        cost_center_1:
          example:
            - valid_from: '2021-06-01'
              value: null
          items:
            $ref: '#/components/schemas/DatedProperty'
          nullable: true
          type: array
        location_name:
          example:
            - valid_from: '2021-06-01'
              value: null
          items:
            $ref: '#/components/schemas/DatedProperty'
          nullable: true
          type: array
        employment_probation_end_date:
          example:
            - valid_from: '2021-06-01'
              value: '2021-06-01T12:00:00Z'
          items:
            $ref: '#/components/schemas/DatedProperty'
          nullable: true
          type: array
        bank_country_iso:
          example:
            - valid_from: '2021-06-01'
              value: null
          items:
            $ref: '#/components/schemas/DatedProperty'
          nullable: true
          type: array
        bank_name:
          example:
            - valid_from: '2021-06-01'
              value: null
          items:
            $ref: '#/components/schemas/DatedProperty'
          nullable: true
          type: array
        manager_full_name:
          example:
            - valid_from: '2021-06-01'
              value: null
          items:
            $ref: '#/components/schemas/DatedProperty'
          nullable: true
          type: array
        honorific_prefix:
          example:
            - valid_from: '2021-06-01'
              value: null
          items:
            $ref: '#/components/schemas/DatedProperty'
          nullable: true
          type: array
        manager_email2:
          example:
            - valid_from: '2021-06-01'
              value: null
          items:
            $ref: '#/components/schemas/DatedProperty'
          nullable: true
          type: array
        salary_payout_day:
          description: Day of month
          example:
            - valid_from: '2021-06-01'
              value: null
          items:
            $ref: '#/components/schemas/DatedProperty'
          nullable: true
          type: array
        salary_payout_schedule:
          description: Arrears or current
          example:
            - valid_from: '2021-06-01'
              value: null
          items:
            $ref: '#/components/schemas/DatedProperty'
          nullable: true
          type: array
        department_id:
          example:
            - valid_from: '2021-06-01'
              value: null
          items:
            $ref: '#/components/schemas/DatedProperty'
          nullable: true
          type: array
        phone4:
          example:
            - valid_from: '2021-06-01'
              value: null
          items:
            $ref: '#/components/schemas/DatedProperty'
          nullable: true
          type: array
        source_external_id:
          example:
            - valid_from: '2021-06-01'
              value: null
          items:
            $ref: '#/components/schemas/DatedProperty'
          nullable: true
          type: array
        position_id:
          example:
            - valid_from: '2021-06-01'
              value: null
          items:
            $ref: '#/components/schemas/DatedProperty'
          nullable: true
          type: array
        child_first_name:
          example:
            - valid_from: '2021-06-01'
              value: null
          items:
            $ref: '#/components/schemas/DatedProperty'
          nullable: true
          type: array
        employment_weekly_hours:
          example:
            - valid_from: '2021-06-01'
              value: null
          items:
            $ref: '#/components/schemas/DatedProperty'
          nullable: true
          type: array
        legal_entity_id:
          example:
            - valid_from: '2021-06-01'
              value: null
          items:
            $ref: '#/components/schemas/DatedProperty'
          nullable: true
          type: array
        address_1_line_2:
          example:
            - valid_from: '2021-06-01'
              value: null
          items:
            $ref: '#/components/schemas/DatedProperty'
          nullable: true
          type: array
        phone1:
          example:
            - valid_from: '2021-06-01'
              value: null
          items:
            $ref: '#/components/schemas/DatedProperty'
          nullable: true
          type: array
        manager_first_name:
          example:
            - valid_from: '2021-06-01'
              value: null
          items:
            $ref: '#/components/schemas/DatedProperty'
          nullable: true
          type: array
        child_birthdate:
          example:
            - valid_from: '2021-06-01'
              value: '2021-06-01T12:00:00Z'
          items:
            $ref: '#/components/schemas/DatedProperty'
          nullable: true
          type: array
        employee_no:
          example:
            - valid_from: '2021-06-01'
              value: null
          items:
            $ref: '#/components/schemas/DatedProperty'
          nullable: true
          type: array
        next_of_kin_first_name:
          example:
            - valid_from: '2021-06-01'
              value: null
          items:
            $ref: '#/components/schemas/DatedProperty'
          nullable: true
          type: array
        tax_table_column:
          example:
            - valid_from: '2021-06-01'
              value: null
          items:
            $ref: '#/components/schemas/DatedProperty'
          nullable: true
          type: array
        salary_period:
          example:
            - valid_from: '2021-06-01'
              value: null
          items:
            $ref: '#/components/schemas/DatedProperty'
          nullable: true
          type: array
        team_name:
          example:
            - valid_from: '2021-06-01'
              value: null
          items:
            $ref: '#/components/schemas/DatedProperty'
          nullable: true
          type: array
        phone2:
          example:
            - valid_from: '2021-06-01'
              value: null
          items:
            $ref: '#/components/schemas/DatedProperty'
          nullable: true
          type: array
        is_manager:
          example:
            - valid_from: '2021-06-01'
              value: null
          items:
            $ref: '#/components/schemas/DatedProperty'
          nullable: true
          type: array
        cost_center_1_weight:
          example:
            - valid_from: '2021-06-01'
              value: null
          items:
            $ref: '#/components/schemas/DatedProperty'
          nullable: true
          type: array
        email1:
          example:
            - valid_from: '2021-06-01'
              value: null
          items:
            $ref: '#/components/schemas/DatedProperty'
          nullable: true
          type: array
        manager_last_name:
          example:
            - valid_from: '2021-06-01'
              value: null
          items:
            $ref: '#/components/schemas/DatedProperty'
          nullable: true
          type: array
        source_external_manager_id:
          example:
            - valid_from: '2021-06-01'
              value: null
          items:
            $ref: '#/components/schemas/DatedProperty'
          nullable: true
          type: array
        address_1_postal_code:
          example:
            - valid_from: '2021-06-01'
              value: null
          items:
            $ref: '#/components/schemas/DatedProperty'
          nullable: true
          type: array
        email2:
          example:
            - valid_from: '2021-06-01'
              value: null
          items:
            $ref: '#/components/schemas/DatedProperty'
          nullable: true
          type: array
        middle_name:
          example:
            - valid_from: '2021-06-01'
              value: null
          items:
            $ref: '#/components/schemas/DatedProperty'
          nullable: true
          type: array
        last_name:
          example:
            - valid_from: '2021-06-01'
              value: null
          items:
            $ref: '#/components/schemas/DatedProperty'
          nullable: true
          type: array
        employment_type_name:
          example:
            - valid_from: '2021-06-01'
              value: null
          items:
            $ref: '#/components/schemas/DatedProperty'
          nullable: true
          type: array
        child_last_name:
          example:
            - valid_from: '2021-06-01'
              value: null
          items:
            $ref: '#/components/schemas/DatedProperty'
          nullable: true
          type: array
        location_id:
          example:
            - valid_from: '2021-06-01'
              value: null
          items:
            $ref: '#/components/schemas/DatedProperty'
          nullable: true
          type: array
        cost_center_2_weight:
          example:
            - valid_from: '2021-06-01'
              value: null
          items:
            $ref: '#/components/schemas/DatedProperty'
          nullable: true
          type: array
        variable_pay_type_name:
          description: Freeform name
          example:
            - valid_from: '2021-06-01'
              value: null
          items:
            $ref: '#/components/schemas/DatedProperty'
          nullable: true
          type: array
        honorific_suffix:
          example:
            - valid_from: '2021-06-01'
              value: null
          items:
            $ref: '#/components/schemas/DatedProperty'
          nullable: true
          type: array
        address_1_country_iso:
          example:
            - valid_from: '2021-06-01'
              value: null
          items:
            $ref: '#/components/schemas/DatedProperty'
          nullable: true
          type: array
        variable_pay_type:
          example:
            - valid_from: '2021-06-01'
              value: null
          items:
            $ref: '#/components/schemas/DatedProperty'
          nullable: true
          type: array
        position_name:
          example:
            - valid_from: '2021-06-01'
              value: null
          items:
            $ref: '#/components/schemas/DatedProperty'
          nullable: true
          type: array
        bank_account_nr:
          example:
            - valid_from: '2021-06-01'
              value: null
          items:
            $ref: '#/components/schemas/DatedProperty'
          nullable: true
          type: array
        team_id:
          example:
            - valid_from: '2021-06-01'
              value: null
          items:
            $ref: '#/components/schemas/DatedProperty'
          nullable: true
          type: array
        address_1_state:
          example:
            - valid_from: '2021-06-01'
              value: null
          items:
            $ref: '#/components/schemas/DatedProperty'
          nullable: true
          type: array
        org_unit_name:
          example:
            - valid_from: '2021-06-01'
              value: null
          items:
            $ref: '#/components/schemas/DatedProperty'
          nullable: true
          type: array
        division_id:
          example:
            - valid_from: '2021-06-01'
              value: null
          items:
            $ref: '#/components/schemas/DatedProperty'
          nullable: true
          type: array
        employment_terminated:
          example:
            - valid_from: '2021-06-01'
              value: null
          items:
            $ref: '#/components/schemas/DatedProperty'
          nullable: true
          type: array
        username:
          example:
            - valid_from: '2021-06-01'
              value: null
          items:
            $ref: '#/components/schemas/DatedProperty'
          nullable: true
          type: array
        employment_category_name:
          example:
            - valid_from: '2021-06-01'
              value: null
          items:
            $ref: '#/components/schemas/DatedProperty'
          nullable: true
          type: array
        next_of_kin_full_name:
          example:
            - valid_from: '2021-06-01'
              value: null
          items:
            $ref: '#/components/schemas/DatedProperty'
          nullable: true
          type: array
        variable_pay_payout_frequency:
          example:
            - valid_from: '2021-06-01'
              value: null
          items:
            $ref: '#/components/schemas/DatedProperty'
          nullable: true
          type: array
        display_name:
          example:
            - valid_from: '2021-06-01'
              value: null
          items:
            $ref: '#/components/schemas/DatedProperty'
          nullable: true
          type: array
        first_name:
          example:
            - valid_from: '2021-06-01'
              value: null
          items:
            $ref: '#/components/schemas/DatedProperty'
          nullable: true
          type: array
        active_status:
          description: Active status of the employee
          example:
            - valid_from: '2021-06-01'
              value: active
          items:
            $ref: '#/components/schemas/DatedProperty'
          nullable: true
          type: array
        division_name:
          example:
            - valid_from: '2021-06-01'
              value: null
          items:
            $ref: '#/components/schemas/DatedProperty'
          nullable: true
          type: array
        address_1_line_3:
          example:
            - valid_from: '2021-06-01'
              value: null
          items:
            $ref: '#/components/schemas/DatedProperty'
          nullable: true
          type: array
        employment_fte_weekly_hours:
          example:
            - valid_from: '2021-06-01'
              value: null
          items:
            $ref: '#/components/schemas/DatedProperty'
          nullable: true
          type: array
      title: EmployeeProperties
      type: object
    DatedProperty:
      description: A date-tracked property with a generic/unknown type
      properties:
        id:
          description: >-
            Discriminator for identifiable values. Usually the ID from the
            source system
          nullable: true
          type: string
        key:
          description: The property key
          type: string
        type:
          description: The value's scalar type
          enum:
            - enum
            - time
            - datetime
            - date
            - boolean
            - float
            - integer
            - number
            - string
          nullable: true
          type: string
        valid_from:
          format: date
          nullable: true
          type: string
        value:
          anyOf:
            - nullable: true
              type: string
            - format: date
              nullable: true
              type: string
            - format: date-time
              nullable: true
              type: string
            - nullable: true
              type: integer
            - nullable: true
              type: number
            - nullable: true
              type: boolean
            - items:
                type: string
              nullable: true
              type: array
            - items:
                format: date
                type: string
              nullable: true
              type: array
            - items:
                format: date-time
                type: string
              nullable: true
              type: array
            - items:
                type: integer
              nullable: true
              type: array
            - items:
                type: number
              nullable: true
              type: array
            - items:
                type: boolean
              nullable: true
              type: array
      required:
        - key
        - type
        - valid_from
        - value
        - id
      title: DatedProperty
      type: object
  securitySchemes:
    BearerAuth:
      bearerFormat: JWT
      description: Bearer token for authentication
      scheme: bearer
      type: http

````